{% extends 'panel/layout/base.html.twig' %}

{% block title %}Panel Klienta - Edycja danych{% endblock %}

{% block body %}
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Ustawienia - Profil użytkownika</h1>
        <a href="{{ path('panel_index') }}" class="d-none d-sm-inline-block btn btn-info shadow-sm"><i
                    class="fas fa-backspace fa-sm text-white-50"></i> Anuluj</a>
    </div>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Dane
                użytkownika {{ user.customerData.companyName|default('W trakcie rejestracji') }}</h6>
        </div>
        <div class="row">
            <div class="col">
                <div class="card-body col-sm-6">
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">{{ form_row(form.userProfile.name) }}</div>
                        <div class="col-sm-6">{{ form_row(form.userProfile.surname) }}</div>
                    </div>
                    <div class="form-group">{{ form_row(form.userProfile.companyName) }}</div>
                    {{ form_start(form) }}
                    <form class="user ">
                        {{ form_row(form.customerData.tax_number) }}
                        {{ form_row(form.customerData.companyName) }}
                        {{ form_row(form.customerData.customerCategory) }}
                        {{ form_row(form.customerData.streetName) }}
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                {{ form_row(form.customerData.houseNumber) }}
                            </div>
                            <div class="col-sm-6">
                                {{ form_row(form.customerData.apartmentNumber) }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                {{ form_row(form.customerData.postCode) }}
                            </div>
                            <div class="col-sm-6">
                                {{ form_row(form.customerData.city) }}
                            </div>
                        </div>
                        {{ form_row(form.customerData.alternativeEmail) }}
                        {{ form_row(form.customerData.mobileNumber) }}
                        {{ form_row(form.customerData.additionalInfo) }}
                        <hr>
                        {{ form_row(form.customerData.agreeTerms, { 'attr': {'checked': 'checked'} }) }}
                        <hr>
                        <h6 class="font-weight-bold text-gray-800">Symbol gwiazdki * oznacza pole wymagane.</h6>

                        <input type="submit" class="submit-btn btn btn-primary btn-block"
                               value="Zaktualizuj"/>
                        {{ form_end(form) }}

                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}